#!/bin/bash

package=postgis
version=-1.5.1

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPOSTGRES ../.. $*

prefix=$GEXTPOSTGRES_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version $prefix --with-projdir="$GEXTPOSTGRES_INSTALLED"

opt_run_make $compile $package $version
opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version